openSUSE Security Update : avahi (openSUSE-SU-2011:0149-1)

Medium Nessus Plugin ID 53697

Synopsis

The remote openSUSE host is missing a security update.

Description

This update fixes a remote denial of service in the avahi daemon that can be triggered remotely via a null UDP packet. CVE-2011-1002: CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P): Resource Management Errors (CWE-399)

Solution

Update the affected avahi packages.

See Also

http://cve.mitre.org/cgi-bin/cvename.cgi?name=none

https://bugzilla.novell.com/show_bug.cgi?id=671797

https://lists.opensuse.org/opensuse-updates/2011-03/msg00001.html

Plugin Details

Severity: Medium

ID: 53697

File Name: suse_11_2_avahi-110228.nasl

Version: 1.6

Type: local

Agent: unix

Published: 2011/05/05

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:avahi, p-cpe:/a:novell:opensuse:avahi-compat-howl-devel, p-cpe:/a:novell:opensuse:avahi-compat-mDNSResponder-devel, p-cpe:/a:novell:opensuse:avahi-lang, p-cpe:/a:novell:opensuse:avahi-utils, p-cpe:/a:novell:opensuse:libavahi-client3, p-cpe:/a:novell:opensuse:libavahi-client3-32bit, p-cpe:/a:novell:opensuse:libavahi-common3, p-cpe:/a:novell:opensuse:libavahi-common3-32bit, p-cpe:/a:novell:opensuse:libavahi-core6, p-cpe:/a:novell:opensuse:libavahi-devel, p-cpe:/a:novell:opensuse:libdns_sd, p-cpe:/a:novell:opensuse:libdns_sd-32bit, p-cpe:/a:novell:opensuse:libhowl0, p-cpe:/a:novell:opensuse:python-avahi, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/02/28

Exploitable With

Core Impact

Reference Information

CVE: CVE-2011-1002